# Enum Class FastqReader.LineType

java.lang.Object
java.lang.Enum<FastqReader.LineType>
htsjdk.samtools.fastq.FastqReader.LineType

All Implemented Interfaces:
  `Serializable, Comparable<FastqReader.LineType>, Constable`

Enclosing class:
  `FastqReader`

protected static enum FastqReader.LineType extends Enum<FastqReader.LineType>
Enum of the types of lines we see in Fastq.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`QualityHeader`
`QualityLine`
`SequenceHeader`
`SequenceLine`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static FastqReader.LineType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FastqReader.LineType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SequenceHeader

public static final FastqReader.LineType SequenceHeader

### SequenceLine

public static final FastqReader.LineType SequenceLine

### QualityHeader

public static final FastqReader.LineType QualityHeader

### QualityLine

public static final FastqReader.LineType QualityLine

## Method Details

### values

public static FastqReader.LineType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FastqReader.LineType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<FastqReader.LineType>`